﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Collections;

namespace C1Tdbg_Hierarchical_BusinessObject
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            
        }

        private void Form1_Load(object sender, EventArgs e)
        {            
            c1TrueDBGrid1.DataView = C1.Win.C1TrueDBGrid.DataViewEnum.Hierarchical;
            c1TrueDBGrid1.DataSource = GetCustomerList();
        }

        private CustomerList GetCustomerList()
        {
            CustomerList customers = new CustomerList();

            Order order1 = new Order();
            order1.OrderDate = DateTime.Now;
            order1.OrderItems = new BindingList<OrderItem>();
            addOrderItem(order1, 2, "Ice Station");
            addOrderItem(order1, 3, "Area7");

            Order order2 = new Order();
            order2.OrderDate = DateTime.Now;
            order2.OrderItems = new BindingList<OrderItem>();
            addOrderItem(order2, 7, "Scarecrow");
            addOrderItem(order2, 1, "Hell Island");

            Customer c1 = new Customer();
            c1.CustName = "Matthew R.";
            c1.CustOrders = new BindingList<Order>();
            c1.CustOrders.Add(order1);
            c1.CustOrders.Add(order2);

            customers.Add(c1);

            Order order3 = new Order();
            order3.OrderDate = DateTime.Now;
            order3.OrderItems = new BindingList<OrderItem>();
            addOrderItem(order3, 12, "The Godfather");

            Order order4 = new Order();
            order4.OrderDate = DateTime.Now;
            order4.OrderItems = new BindingList<OrderItem>();
            addOrderItem(order4, 6, "The Sicilian");
            addOrderItem(order4, 1, "Omerta");

            Customer c2 = new Customer();
            c2.CustName = "Mario Puzo";
            c2.CustOrders = new BindingList<Order>();
            c2.CustOrders.Add(order3);
            c2.CustOrders.Add(order4);

            customers.Add(c2);

            return customers;
        }

        private void addOrderItem(Order order, int quantity, string description)
        {
            OrderItem item = new OrderItem();
            item.ItemQuantity = quantity;
            item.ItemDescription = description;
            order.OrderItems.Add(item);
        }


    }
}
